Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class UnknownSQLTypeException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.jbo.JboException
oracle.jbo.common.UnknownSQLTypeException`

All Implemented Interfaces:
  JboMessage, MetaObjectBase, java.io.Serializable

public class UnknownSQLTypeException
extends JboException

Indicates that an attempt has been made to use a unknown or unimplemented SQL data type.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.JboException
`mHasPeerException`

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_ATTRIBUTE_LIST_WITH_DEF, TYP_COMPONENT_OBJECT, TYP_DEF_ANY, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_ENTITY_USAGE, TYP_PACKAGE, TYP_TRANSACTION, TYP_VALIDATOR_TYPE, TYP_VARIABLE, TYP_VARIABLE_WHERE_CLAUSE, TYP_VIEW_CRITERIA, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Constructor Summary
`UnknownSQLTypeException(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.Object[] params)` Creates an exception to be localized using the specified resource bundle and error code.
`UnknownSQLTypeException(java.lang.String type)` Creates an exception to be localized using `CSMessageBundle` and error code `EXC_TYP_UNKNOWN_SQL_TYPE`.

Methods inherited from class oracle.jbo.JboException
`addToDetails, addToExceptions, containsException, doEntityToVOMapping, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getExceptions, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getSource, getTypeNameFromId, hasPeerExceptions, isAppendCodes, isLocalizable, needsEntityToVOMapping, printStackTrace, printStackTrace, printStackTrace, setAppendCodes, setApplicationModule, setDetails, setErrorParameters, setExceptions, setLocaleContext, setNeedsEntityToVOMapping, setSource`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownSQLTypeException

    public UnknownSQLTypeException(java.lang.Class resBundleClass,
                                   java.lang.String errorCode,
                                   java.lang.Object[] params)

  Creates an exception to be localized using the specified resource bundle and error code.
Parameters:
  `resBundleClass` - a `ResourceBundle`.
  `errorCode` - an error code.
  `params` - parameters to be inserted into the error message.

### UnknownSQLTypeException

    public UnknownSQLTypeException(java.lang.String type)

  Creates an exception to be localized using `CSMessageBundle` and error code `EXC_TYP_UNKNOWN_SQL_TYPE`.
Parameters:
  `type` - the name of the unknown SQL type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.